/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *     Event loop prototype
 * 
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: eventloop.h,v 1.10 1997/04/14 05:32:58 robla Exp $
 *
 */

#ifndef _EVENTLOOP_H_
#define _EVENTLOOP_H_

#include "socket.h"

extern u_long inow;            /* Internal time format (ms) */ 

#ifdef __cplusplus
extern "C"
{
#endif

extern RTSP_SOCK main_fd;
extern RTSP_SOCK main_fd_read;
void (*readers[MAX_FDS])(RTSP_SOCK);

void eventloop_init();
void eventloop();

#ifdef __cplusplus
}
#endif

#endif /* _EVENTLOOP_H_ */
