/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *     Message pack/unpack structures and routines
 * 
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: messages.h,v 1.15 1997/05/13 00:09:54 robla Exp $
 *
 */

#ifndef _MESSAGES_H_
#define _MESSAGES_H_


#include "socket.h"
#include "session.h"

#ifdef __cplusplus
extern "C"
{
#endif

u_short RTSP_last_request;       /* code for last request message sent */
u_short RTSP_send_seq_num;
u_long  RTSP_send_timestamp;
u_short RTSP_recv_seq_num;

#define BUFFERSIZE 16384
char    in_buffer[BUFFERSIZE];
u_short in_size;
char    out_buffer[BUFFERSIZE];
u_short out_size;

void add_time_stamp( char * b, int crlf );
void add_play_range( char *b, struct SESSION_STATE *state );
void add_session_id( char *b, struct SESSION_STATE *state );
void send_reply( int err, char *addon );
void io_read(RTSP_SOCK fd);
void io_write(RTSP_SOCK fd);
int  io_write_pending();
void bread(char *buffer, u_short len);
void bwrite(char *buffer, u_short len);


#ifdef __cplusplus
}
#endif

#endif /* _MESSAGES_H_ */
