/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *	RTSP defines
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: rtsp.h,v 1.9 1997/06/12 20:47:14 robla Exp $
 *
 */


#ifndef _RTSP_H_
#define _RTSP_H_

#define RTSP_DEFAULT_PORT		554

#define RTSP_VER  "RTSP/0.6"

/* Session IDs */
#define RTSP_COMMAND_SESSION        0
#define RTSP_FIRST_CLIENT_SESSION	1024
#define RTSP_FIRST_SERVER_SESSION	1025

/* HELLO parameters */
#define RTSP_MAJOR_VERSION              1
#define RTSP_MINOR_VERSION              0

/*  Transport types for SET_TRANSPORT */
#define RTSP_TRANSTYPE_UNICASTUDP 	1	/* Unicast UDP */
#define RTSP_TRANSTYPE_MULTICASTUDP 	2	/* Multicast UDP */
#define RTSP_TRANSTYPE_SCP 		3       /* SCP */
#define RTSP_TRANSTYPE_SCPCOMPRESSED 	4	/* SCP Compressed */

/*  Transport speeds for normal speed */
#define RTSP_TRANSPEED_NORMAL 		65536

/*  Report types for SEND_REPORT and REPORT messages */
#define RTSP_REPORTTYPE_NONE 		0       /* No report */
#define RTSP_REPORTTYPE_PING 		1       /* PING	 */
#define RTSP_REPORTTYPE_TEXT 		2       /* Text Message	 */
#define RTSP_REPORTTYPE_RECEPTION 	3       /* Reception Report */

/*  Lagging parameters for REPORTTYPE_RECEPTION */
#define RTSP_LAGGING_ABOVE 		0
#define RTSP_LAGGING_BELOW 		1

/*  Parameter Families for SET_PARAM, PARAM_REPLY, etc. */
#define RTSP_FAMILY_AUDIO 		1

/*  Parameters in RTSP_FAMILY_AUDIO */
#define RTSP_PARAM_AUDIOFMTDESC		1   /* Audio Format Descriptor */
#define RTSP_PARAM_AUDIOANNOTATIONS	2   /* Audio Annotations */


#endif /* _RTSP_H_ */
