/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *	RTSP Audio defines
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: rtsp_audio.h,v 1.5 1997/04/01 17:30:54 robla Exp $
 *
 */


#ifndef _RTSP_AUDIO_
#define _RTSP_AUDIO_

#ifdef __cplusplus
extern "C"
{
#endif

struct RTSP_AUDIO_data
{
    u_long codec_id;
    u_short num_channels;
    u_short bits_per_sample;
    u_long samples_per_sec;
    u_short ave_frame_size;
    u_short max_frame_size;
    u_long samples_per_frame;
    u_char packet;
    u_short frames_per_packet;
    u_short extra_bytes;
    u_long num_frames;
    char *extra_data;
};

#ifdef __cplusplus
}
#endif

#endif /* _RTSP_AUDIO_ */
