/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 * 
 *     Scheduling routines
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: scheduler.h,v 1.9 1997/04/01 17:30:56 robla Exp $
 *
 */

#ifndef _SCHEDULER_H_
#define _SCHEDULER_H_

#include "socket.h"

void schedule_init();
u_long schedule_enter(u_long time, u_long session_id, void (*fun)(void*), void *arg);
void schedule_remove_session(u_long session_id);
void schedule_execute(u_long time);
int schedule_check( u_long session_id );

#endif  /* _SCHEDULER_H_ */
