/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *	Misc. utilities
 *
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: util.h,v 1.9 1997/05/30 04:53:51 robla Exp $
 *
 */

#ifndef _UTIL_H_
#define _UTIL_H_

#include "machdefs.h"
#include "session.h"
#include "socket.h"

#ifdef __cplusplus
extern "C"
{
#endif

#if defined (WIN32) || defined (_WINDOWS)
#define strncasecmp(s1,s2,len)  _strnicmp(s1,s2,len)
#define strcasecmp(s1,s2)       _stricmp(s1,s2)
#define open(a, b)   _open(a, b)
#define read(a,b,c)  _read(a,b,c)
#define lseek(a,b,c) _lseek(a,b,c)
#endif

void dump_buffer(char *, int);
int parse_url(const char *url, char *server, u_short *port, char *file_name);
void free_streams( struct SESSION_STATE *state );
void swap_word(u_int16* pWord, int nWords);
void swap_dword(u_int32* pDWord, int nDWords);
int big_endian();

#ifdef __cplusplus
}
#endif

#endif	/* _UTIL_H_ */
