#
# $Id: freebsd.mk,v 1.9 1997/04/14 05:32:53 robla Exp $
#

CC=gcc

# Define INTERFACE to be ``gui'' if you have Tcl/Tk (Tk 4.1 or better)
INTERFACE = text

# Define AUDIO to be ``oss'', if you have Voxwave/TASD/USS/OSS audio
#  (Examples: Linux, FreeBSD, BSD/OS)
#  You must set the interface to GUI to play audio.
AUDIO = oss

# Define USE_INETD to be ``yes'', if you want to run the server from inetd.
USE_INETD = no

# Define which version of the RTSP draft this should be complient with
# Valid draft versions: draft01, draft02
DRAFT = draft02

CFLAGS=-Werror -Wall -g -I/usr/local/include -I. -I../common
LFLAGS=-lm

ifeq ($(INTERFACE), gui)
	CFLAGS+= -DHAVE_TCL_TK
	LFLAGS+= -ltcl -ltk4.1 -lm -L/usr/X11R6/lib -lX11
endif

ifeq ($(AUDIO), oss)
	CFLAGS+= -DAUDIO
endif

ifeq ($(USE_INETD), yes)
	CFLAGS+= -DINETD
endif

ifeq ($(DRAFT), draft02)
	CFLAGS+= -DDRAFT02
endif

AR=ar
ARFLAGS=-r
RANLIB=ranlib
