#
# RTSP (Real Time Streaming Protocol) Reference Implementation
# 
#     Tcl/Tk GUI Interface
#
# Copyright (c) 1996 Progressive Networks.
# All rights reserved.
#
# $Id: gui.tcl,v 1.11 1997/05/29 06:32:31 robla Exp $
#

wm title . "RTSP Reference Player"
wm geometry . 389x205

frame .m	-relief raised		-bd 2
pack  .m	-side top		-fill x

label .copyright -text "Copyright (c) 1996, 1997, Progressive Networks"
pack .copyright -side bottom

menubutton	.m.file -text "File" -m .m.file.x -width 5 -underline 0
pack		.m.file -side left
menu		.m.file.x -tearoff no

.m.file.x add command -label "Open Location"	-command { OpenLocation }
.m.file.x add command -label "Exit"		-command { Quit }

menubutton	.m.view -text "View" -m .m.view.x -width 5 -underline 0
pack		.m.view -side left
menu		.m.view.x -tearoff no

.m.view.x add command -label "Preferences"	-command { puts "XXX\n" }
.m.view.x add command -label "Statistics"	-command { puts "XXX\n" }

text .debug -relief flat
pack .debug

proc OpenLocation {} {
    toplevel .open
    wm title .open "Open Location"

    message .open.msg -width 400 -justify center -text "Enter URL"
    pack .open.msg

    message .open.msg2 -width 400 -justify center -text "Example: rtsp://audio.prognet.com/foo.wav"
    pack .open.msg2

    entry .open.url -width 40
    pack .open.url

    frame .open.bf
    pack  .open.bf -pady 5

    button .open.bf.ok -text "Open" -width 10 -command { url_cb [ .open.url get ]; destroy .open }
    pack   .open.bf.ok

    button .open.bf.quit -text "Cancel" -width 10 -command { destroy .open }
    pack   .open.bf.quit -side right -before .open.bf.ok
}

proc SpeedProc { session spd } {
    Speed $session $spd
}

proc NewSession x {
    toplevel .ns$x
    wm title .ns$x "Session $x"

    label .ns$x.l1 -text "Stream Data"
    pack  .ns$x.l1 -anchor w
    text  .ns$x.output -height 10
    pack  .ns$x.output

    label .ns$x.l2 -text "Debug Information"
    pack  .ns$x.l2 -anchor w
    text  .ns$x.debug -height 10
    pack  .ns$x.debug

    frame .ns$x.bf
    pack  .ns$x.bf -pady 5

    button .ns$x.bf.play -text "Play" -width 10 -command "Play $x 0"
    pack   .ns$x.bf.play

    button .ns$x.bf.wav -text "Play Wav" -width 10 -command "Play $x 1"
    pack   .ns$x.bf.wav -side right -before .ns$x.bf.play

    button .ns$x.bf.stop -text "Stop" -width 10 -command "Stop $x"
    pack   .ns$x.bf.stop -side right -before .ns$x.bf.wav

    button .ns$x.bf.resume -text "Resume" -width 10 -command "Resume $x"
    pack   .ns$x.bf.resume -side right -before .ns$x.bf.stop

    scale  .ns$x.speed -length 500 -orient horiz -to 1000 -command "SpeedProc $x"
    pack   .ns$x.speed
    .ns$x.speed set 500
}







