/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *     Interface API
 *
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: interface.h,v 1.16 1997/05/27 06:56:29 robla Exp $
 *
 */

#ifndef _INTERFACE_H_
#define _INTERFACE_H_

#ifdef __cplusplus
extern "C"
{
#endif
void interface_init(void *);
void interface_new_session(u_long id);
void interface_can_play(u_long id);
void interface_hello();
void interface_error(const char *err);
void interface_can_play(u_long id);
void interface_close_stream(u_long session_id);
void interface_stream_output(u_long id, u_short n, char *data);
void interface_stream_done(u_long session_id);
void interface_close_session(u_long id);
void interface_error( const char *msg );
void interface_alert_msg( const char *msg );
void interface_renew_play( u_long id );
void interface_start_play( u_long id );

#ifdef __cplusplus
}
#endif

#endif /* _INTERFACE_H_ */
