/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 * 
 *     Streaming Media Handler
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: streamer.h,v 1.13 1997/04/01 17:31:16 robla Exp $
 *
 */

#ifndef _STREAMER_H_
#define _STREAMER_H_

#include "session.h"

struct STREAMER
{
   u_long   session_id;
   STREAM   *stream;
   u_short  udp_port;
   int      output_fd;
   struct sockaddr_in dest;
   int      input_fd;
   u_long   input_offset;

   int      rate;
   int      pktsize;

   int      seq;
   int      next_event_time;
   int      outstanding_event_id;

   u_char   payload_type;
   u_long   ssrc;
};

struct STREAMER *start_stream(u_long session_id, STREAM *stream, u_short data_port);
void stop_stream(struct STREAMER *s);
void resume_stream(struct STREAMER *s);
void stream_event(struct STREAMER *s);

#endif  /* _STREAMER_H_ */
