/*
 *	CAsyncNotify
 *	Notifies us of asynchronous events, this window is
 *	used to notify us that we can read fromt the network
 *	and when the sound device has finished playing a sound
 *	block
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: CAsync.h,v 1.5 1997/04/01 17:31:25 robla Exp $
 */

#if !defined( CASYNC_H )
#define	CASYNC_H

#define		WND_CLASS			"RealAudioInternal"

#include "cwaveout.h"

class CWaveOutput;

class CAsyncNotify
{
public:
	//	PWMs (private window messages)
	enum
	{
		PWM_POSTED_IDLE = WM_USER + 0xCD,
		PWM_POSTED_ERROR,
		PWM_ASYNC_SELECT
	};

	CAsyncNotify();
	~CAsyncNotify();
	
	BOOL		Create( CWnd *newsessionClient, HINSTANCE hInst );
	void	    SetWaveClient( CWaveOutput *newwaveClient );
	
	//	This is the window proc that actually recieves the messages
	static LRESULT CALLBACK  
				AsyncNotifyProc( HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam );
	
	BOOL		OnAsyncSelect( CAsyncNotify *THIS );
	BOOL		OnWaveOutDone( CAsyncNotify *THIS );
	
	HWND		GetHwnd( void )
				{ return( m_hWnd ); }
	
	CWnd        *GetSessionClient()
				{ return( m_sessionClient ); }
				
	CWaveOutput	*GetWaveClient()
				{ return( m_waveClient ); }
				
	void 		PostIdleMessage( void );

	void		PostAsyncError( int theError, VOID FAR *lpErrorContext );
	
protected:
	HWND		m_hWnd;
	BOOL		m_bClassRegistered;
	HINSTANCE	m_hInst;
	CWnd        *m_sessionClient;
	CWaveOutput	*m_waveClient;
	
	BOOL		OnAsyncSelect( WPARAM wParam, LPARAM lParam );
	BOOL		OnWaveOutDone( HWAVEOUT hwave, CWaveHeader FAR *pwhDone );
	void		OnPostedIdle( void );
	void		OnPostedError( int theError, LPVOID lpErrorContext );
};

#endif	//	CASYNC_H
