/*
 *  CWaveFmt
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 */                
 
#include "stdafx.h"
#include <mmsystem.h>
#include "cwavefmt.h"

extern "C" WAVEFORMATEX PCM_hdr;

/*--------------------------------------------------------------------------
|	CWaveFormat
|
|		Default ctor.
--------------------------------------------------------------------------*/
CWaveFormat::CWaveFormat ()
{
	SetFormatDflt ();
}

/*--------------------------------------------------------------------------
|	~CWaveFormat
|
|		dtor.
--------------------------------------------------------------------------*/
CWaveFormat::~CWaveFormat ()
{
}

void CWaveFormat::SetAudioFormat( void )
{	
   // set protected member copy of PCMWAVEFORMAT
   mwf.wf.wFormatTag = PCM_hdr.wFormatTag;
   mwf.wf.nChannels = PCM_hdr.nChannels;
   mwf.wf.nSamplesPerSec = PCM_hdr.nSamplesPerSec;
   mwf.wf.nAvgBytesPerSec = PCM_hdr.nAvgBytesPerSec;
	mwf.wf.nBlockAlign = PCM_hdr.nBlockAlign;
   mwf.wBitsPerSample = PCM_hdr.wBitsPerSample;
};

/*--------------------------------------------------------------------------
|	SetFormatDflt
|
|		Sets up a default PCM wave format header.
--------------------------------------------------------------------------*/
void CWaveFormat::SetFormatDflt ()
{
   // set default audio format.
   mwf.wf.wFormatTag = WAVE_FORMAT_PCM;
   mwf.wf.nChannels = 1;
   mwf.wf.nSamplesPerSec = 8000;
   mwf.wf.nAvgBytesPerSec = 8000;
	mwf.wf.nBlockAlign = 2;
   mwf.wBitsPerSample = 16;
}
