/*
 *	cwavefmt.h
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: CWaveFmt.h,v 1.5 1997/04/01 17:31:26 robla Exp $
 */

#ifndef CWAVEFMT_H
#define CWAVEFMT_H 1

#include "windows.h"
#include "mmsystem.h"

class CWaveHeader;

/*--------------------------------------------------------------------------
|	CWaveFormat class
--------------------------------------------------------------------------*/
class CWaveFormat {
protected:
	PCMWAVEFORMAT	mwf;				// default PCM wave format header
public:
	CWaveFormat ();
	~CWaveFormat ();

	void SetAudioFormat( void );
	
/*--------------------------------------------------------------------------
|	GetWaveFormat
|
|		Returns a pointer to the wave format header.
--------------------------------------------------------------------------*/
LPWAVEFORMATEX GetWaveFormat ()
{
	return (LPWAVEFORMATEX (&mwf));
}

private:
	void SetFormatDflt ();
};

#endif /* CWAVEFMT_H */
