/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *     CStreamDlg definitions
 *
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: StreamDlg.h,v 1.7 1997/04/01 17:31:34 robla Exp $
 *
 */

#include "RefPlayerDlg.h"

class CStreamDlg : public CDialog
{
public:
    CStreamDlg(unsigned long streamId, CRefPlayerDlg* refDlg);

    BOOL create();
    enum { IDD = IDD_TEXTSTREAM };
    void writeText(const char *text);
    void closeStream();
    void DisablePlayBtn();
    void EnablePlayBtn();
    void RepositionSeekSlider( int pos );

protected:
    virtual BOOL OnInitDialog();
    virtual void OnCancel();
    virtual void PostNcDestroy();

    afx_msg LRESULT OnInit(WPARAM, LPARAM);
    afx_msg void OnPlayBn();
    afx_msg void OnStopBn();
    afx_msg void OnDestroy();
    afx_msg void OnHScroll(UINT sbCode, UINT pos, CScrollBar *pScrollBar);
    DECLARE_MESSAGE_MAP()

private:
    CRefPlayerDlg *m_refDlg;
    unsigned long m_streamId;

    CEdit m_textED;
    CSliderCtrl m_slider;
};
