/*
 * RTSP (Real Time Streaming Protocol) Reference Implementation
 *
 *     Interface handlers (called from player.c)
 *
 *
 *  Copyright (C) 1996 Progressive Networks.
 * 
 *  This program is free software; you can only redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public
 *  License as published by the Free Software Foundation.  A copy of this
 *  license may be found in the "LICENSE" directory of this distribution.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY OR REPRESENTATION AS TO OWNERSHIP OR
 *  NON-INFRINGEMENT; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 *  License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *  Please submit patches, modified versions and derivative works to
 *  Progressive Networks at "rtsp-feedback@prognet.com" or write to
 *  Progressive Networks, 1111 Third Ave. Ste 2900, Seattle, WA 98101, USA.
 *  We will do our best to incorporate your enhancements into the core
 *  distribution.
 *
 *  For more information about this program, please visit the following
 *  URL:
 *     http://www.real.com/prognet/rt 
 *

 *
 * $Id: interface.cpp,v 1.13 1997/06/06 19:08:26 bab Exp $
 *
 */

#include "stdafx.h"
#include "socket.h"
#include "interface.h"
#include "RefPlayerDlg.h"

static CRefPlayerDlg *dlg = 0;

void
interface_init(void *ptr)
{
   dlg = (CRefPlayerDlg *)ptr;
}

void
interface_new_session(u_long session_id)
{
   dlg->newSession(session_id);
}

void
interface_close_session(u_long session_id)
{
   dlg->closeSession(session_id);
}

void
interface_can_play(u_long session_id)
{
   dlg->startStream(session_id);
}

void
interface_close_stream(u_long session_id)
{
   dlg->closeStream(session_id);
}

void
interface_hello()
{
   dlg->hello();
}

void
interface_stream_output(u_long session_id, u_short len, char *buf)
{
   dlg->streamOutput(session_id, len, buf);
}

void
interface_stream_done( u_long session_id )
{
   dlg->streamDone( session_id );
}

void
interface_error(const char *err)
{
   dlg->displayError(err);
}

void
interface_alert_msg( const char *msg )
{
   dlg->displayAlert(msg);
}

void
interface_renew_play( u_long session_id )
{
   dlg->renewPlay( session_id );
}

void interface_start_play( u_long id )
{
   dlg->startPlay( id );
}
